# Models

## The RolesResponseV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"RolesResponseV2":{"type":"object","properties":{"roles":{"oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/UserRoleV2"}},{"type":"null"}]}}},"UserRoleV2":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"guildId":{"type":"string"}}}}}}
```

## The UserRoleV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"UserRoleV2":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"guildId":{"type":"string"}}}}}}
```

## The TelegramResponseV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"TelegramResponseV2":{"type":"object","properties":{"telegram":{"oneOf":[{"$ref":"#/components/schemas/SocialAccountV2"},{"type":"null"}]}}},"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## The DiscordResponseV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"DiscordResponseV2":{"type":"object","properties":{"discord":{"oneOf":[{"$ref":"#/components/schemas/SocialAccountV2"},{"type":"null"}]}}},"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## The TwitterResponseV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"TwitterResponseV2":{"type":"object","properties":{"twitter":{"oneOf":[{"$ref":"#/components/schemas/SocialAccountV2"},{"type":"null"}]}}},"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## The SocialAccountV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## The WalletsResponseV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"WalletsResponseV2":{"type":"object","properties":{"wallets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"networkSymbol":{"type":"string"},"primaryWalletOn":{"type":"array","items":{"type":"string"}},"activeChains":{"type":"array","items":{"type":"string"}}}}}}}}}}
```

## The EmailResponseV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"EmailResponseV2":{"type":"object","properties":{"email":{"type":"string"}}}}}}
```

## The UserProfileV2 object

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"components":{"schemas":{"UserProfileV2":{"type":"object","properties":{"name":{"type":"string"},"vanityURL":{"type":"string"},"pfp":{"type":"string"},"banner":{"type":"string"},"pfpNFT":{"type":"object","properties":{"id":{"type":"string"},"collection":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matrica.io/matrica-connect/oauth2-api-reference-v2/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
